Skip to main content
GET
/
mud
/
worlds
/
{world}
/
tables
/
{table_id}
/
records
/
{record_id}
Single MUD world table record.
curl --request GET \
  --url 'https://api.blockscout.com/{chain_id}/api/v2/mud/worlds/{world}/tables/{table_id}/records/{record_id}?apikey='
{
  "record": {
    "decoded": {},
    "id": "<string>",
    "is_deleted": true,
    "raw": {
      "block_number": "<string>",
      "dynamic_data": "<string>",
      "encoded_lengths": "<string>",
      "key0": "<string>",
      "key1": "<string>",
      "key_bytes": "<string>",
      "log_index": "<string>",
      "static_data": "<string>"
    },
    "timestamp": "2023-11-07T05:31:56Z"
  },
  "schema": {
    "key_names": [
      "<string>"
    ],
    "key_types": [
      "<string>"
    ],
    "value_names": [
      "<string>"
    ],
    "value_types": [
      "<string>"
    ]
  },
  "table": {
    "table_full_name": "<string>",
    "table_id": "<string>",
    "table_name": "<string>",
    "table_namespace": "<string>",
    "table_type": "offchain"
  }
}

Authorizations

apikey
string
query
required

API key for authentication. Required for all Pro API endpoints. Obtain your API key at https://dev.blockscout.com/

Path Parameters

world
string
required

MUD world address hash in the path

Pattern: ^0x([A-Fa-f0-9]{40})$
table_id
string
required

MUD table ID in the path

Pattern: ^0x([A-Fa-f0-9]{64})$
record_id
string
required

MUD record ID in the path

Pattern: ^0x([A-Fa-f0-9]*)$

Query Parameters

apikey
string
required

API key for rate limiting or for sensitive endpoints

key
string

Secret key for getting access to restricted resources

Response

Single MUD world table record.

MUD Table with TableSchema struct.

record
Record · object
required

MUD Record struct.

schema
TableSchema · object
required

MUD TableSchema struct.

table
Table · object
required

MUD Table struct.